- Qt 5.15
- Qt Location
- C++ Classes
- QGeoRouteLeg
- Qt 5.15.19 Reference Documentation

# QGeoRouteLeg Class

The QGeoRouteLeg class represents a leg of a route, that is the portion of a route between one waypoint and the next. This is a subclass of QGeoRoute, exposing route leg specific API. More...

Header: | #include <QGeoRouteLeg>
qmake: | QT += location
Since: | Qt 5.12
Inherits: | QGeoRoute

This class was introduced in Qt 5.12.

- List of all members, including inherited members

## Public Functions

| QGeoRouteLeg(const QGeoRouteLeg &other)
| QGeoRouteLeg()
| ~QGeoRouteLeg()
int | legIndex() const
QGeoRoute | overallRoute() const
void | setLegIndex(int idx)
void | setOverallRoute(const QGeoRoute &route)

## Detailed Description

Note: QGeoRoute::routeLegs will return an empty list if called on a route leg.

See also QGeoRoute.

## Member Function Documentation

### QGeoRouteLeg::QGeoRouteLeg(const QGeoRouteLeg &other)

Constructs a route leg object from the contents of other.

### QGeoRouteLeg::QGeoRouteLeg()

Constructs a route leg object.

### QGeoRouteLeg::~QGeoRouteLeg()

Destroys this route object.

### int QGeoRouteLeg::legIndex() const

Returns the index of this route leg inside the containing QGeoRoute::routeLegs list. Can be used to find the next legs.

See also setLegIndex().

### QGeoRoute QGeoRouteLeg::overallRoute() const

Returns the route that contains this route leg.

See also setOverallRoute().

### void QGeoRouteLeg::setLegIndex(int idx)

Sets the route leg index to idx.

See also legIndex().

### void QGeoRouteLeg::setOverallRoute(const QGeoRoute &route)

Sets the route that contains this route leg.

See also overallRoute().